
#legend {
    position: sticky;
    top: 0;
    background-color: var(--background-color);
}

#month-year {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0.5rem 1rem;
}

#week-days {
    display: flex;
    text-align: center;
    padding-bottom: 0.5rem;
    font-size: 0.6rem;
    border-bottom: solid 1px hsl(0 0 30);
}

#week-days span {
    flex-grow: 1;
    color: var(--secondary-color);
}

#button {
    display: inline-block;
    position: sticky;
    bottom: 0.25rem;
    margin-left: 0.25rem;
    padding: 0.25rem;
    background-color: hsl(0 0 0 / 0.5);
    border-radius: 0.5rem;
    border: solid 2px var(--secondary-color);
}

#button:hover {
    cursor: pointer;
}

#button:active {
    cursor: pointer;
    opacity: 0.6;
}

#today {
    display: flex;
    justify-content: center;
    align-items: center;   
}

#today div {
    background-color: var(--secondary-color);
    color: white;
    border-radius: 100%;
    width: 1.5rem;
    height: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;            
}

.weekend {
    color: hsl(0 0 100 / 0.5);
}

.visibleMonth {
    color: var(--accent-color) !important;
}

.evenMonth {
    background-color: hsl(0 0 8);
}

.firstDayMonth {
    color: white;
}

#container {
    text-align: center;
}

/* ------ GRID ----- */


.month {
    --border-width: 1px;
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    margin-bottom: calc(-2rem - var(--border-width));
    line-height: 2rem;
    color: hsl(0 0 100 / 0.7);
}

#december,#may {
    margin-bottom: 0;
}

.month > div {
    font-size: 1rem;
    border-bottom: solid var(--border-width) hsl(var(--secondary-hue) 30 30);
}

@media screen and (width <= 800px) {

	.month > div {
        font-size: 0.8rem;
    }

}